<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd"><!----20120110 ting---->
<%@ page contentType="text/html;charset=GBK" %>
<%@ page import="net.sz600.tool.SzConvert" %>
<%@ page import="net.sz600.database.SzConn" %>
<%@ page import="net.sz600.system.SzPageHelp" %>
<%@ page import="net.sz600.organize.SzCompany" %>
<%@ page import="net.sz600.organize.SzCompanyInfo" %>
<%@ page import="net.sz600.system.SzProperties" %>
<%
    //判断是否正在还原数据库
    if (SzConn.getRestore()) {
            out.println("管理员正在还原系统数据库，稍后再重新登陆！");
       return; //这里必须要加return，否则以下的程序仍然会执行。
    }

    String COMPANY = SzConvert.toSpaceStr(request.getParameter("COMPANY")); //分公司信息
    //取得公司的图片
    SzCompany szCompany = new SzCompany();
    SzCompanyInfo companyInfo = (SzCompanyInfo)szCompany.getInfoByKey(SzConvert.toInt(SzCompany.decryptCOMPANY(COMPANY)));
		String sTitle = "";
		int companyPepedom = 0;
		if (companyInfo != null) {
			sTitle = companyInfo.getGSMC();
			companyPepedom = companyInfo.getGSQZ();
		}
		if (sTitle.equals("")) {
			sTitle = "数飞表单引擎系统";
		}
	
		String c = SzConvert.toSpaceStr(request.getParameter("c")); //助手参数
    if (c.equals("swc")) {
    	session.setAttribute("SzHelp", "swc");	
    } else {
    	session.setAttribute("SzHelp", "");
    }
    session.setAttribute("SzDLID", "");
    session.setAttribute("SzDLZH", "");
    session.setAttribute("SzLoginInfo", null);
    
    //System.out.println("index============" + session.getAttribute("SzHelp"));

    String sIp = SzConvert.toSpaceStr( request.getRemoteHost() );
    //out.println("=" + sIp);

    //cookie
    Cookie[] cks =request.getCookies();
    String temp_cookie = null;
    String loginName = SzConvert.toSpaceStr(request.getParameter("LoginName")); // 
    String loginPassword = SzConvert.toSpaceStr(request.getParameter("LoginPassword"));

    if(cks!=null && loginName.equals("")) {
	    for(int   i=0;i<cks.length;i++)   {
              temp_cookie = cks[i].getName();
              //查找用户名
              if(temp_cookie.equals("SzLoginCookie")) {
            	  //SzConvert.strWriteData(cks[i].getValue());
                  loginName =  java.net.URLDecoder.decode(cks[i].getValue(),"GBK"); 
              }
        }
   }  
   if (loginName.equals("")) {
      loginName = "admin";
   }  
    
    //将在线SzOnlineCookie设置为空，保证助手知道还没有登陆。
    Cookie szOnlineCookie = new Cookie("SzOnlineCookie", "");
    szOnlineCookie.setMaxAge(0);
    szOnlineCookie.setPath("/");       
    response.addCookie(szOnlineCookie);	     
    //System.out.println(szCompany.getLoginPicture2(COMPANY));

    //System.out.println(net.sz600.check.SzHasp.getInstance().hasDog());

    String sServer_SESSION  = request.getServerName();
    String sPort_SESSION    = Integer.toString( request.getServerPort() );
    String sContext_SESSION = request.getContextPath();
%>
<html>
<head>
<title><%=sTitle %></title>
<meta name="keywords" content="数飞OA 2012" />
<meta name="description" content="数飞OA 2012" />
<meta http-equiv="Content-Type" content="text/html; charset=GBK">
<style type="text/css">
input{ padding:4px 0 0 4px;}/*----20120111 ting------------------------------*/
input:hover{
   
    width:118x;
    height:20px;
    border:0px solid #7F9DB9;
	background-image:url(images/2011/destop/name2.gif);
	background-repeat:no-repeat;
    vertical-align:middle;
	padding-left:4px;
}/*----20120111 ting----*/
<!--
a{
  text-decoration:none;
  color:#000000;
 }/*-------------------20120107 ting------------------------------------- */

.font1 {
	font-family: "宋体";
	font-size: 12px;
	color: #FFFFFF;
}
.font2 {
	font-family: "宋体";
	font-weight: bold;
	font-size:13px;
	line-height:25%;
}
.style1 {
	font-family: "宋体";
	font-size:12px;
	text-align:center;
        line-height:30px;  /*---------------------20120107 ting----------------------------------------- */
}

.style1 img{ margin:-1px 0px -6px 0px;}/*-------------------20120107 ting------------------------------------- */
.txtClass1 {
    width:118px;
    height:20px;
    border:0px solid #7F9DB9;
	background-image:url(images/2011/destop/name.gif);
	background-repeat:no-repeat;
    vertical-align:middle;
	padding-left:4px;
}/*----------------------------------------20120111 ting------------------------------------------------*/
.txtClass1-2 {
    width:80px;
    height:20px;
    border:0px solid #7F9DB9;
        vertical-align:middle;
	padding-left:4px;
}
.img{vertical-align:middle; background-image:url(images/2011/destop/enter_button.gif); width:58px; height:24px; border:0px;}
.img:hover{vertical-align:middle; background-image:url(images/2011/destop/enter_button2.gif); background-repeat:no-repeat; border:0px; width:58px; height:24px;}
.fonthome4{
	font-family: "宋体";
	color:#000000;
	font-size:13px;
	
	line-height:25px;
	padding-left:10px;
	padding-right:10px;
	padding-top:10px;
	padding-bottom:10px;
}
.fonthome3 {
	font-family: "宋体";
	font-size: 14px;
	font-weight: bold;
	color: #4b4f53;
	padding-left:8px;
}
-->
</style>
<script language="javascript">
  function OpenDiv(v) {
  	var vCount = 5;
  	var vIndex = parseInt(v);
  	
  	var obj = null;
  	for (var i=0; i<vCount; i++) {
  		obj = document.getElementById("div" + i);
  		if (obj != null) {
  			obj.style.display = "none";
  		}
  	}  
  	obj = document.getElementById("div" + vIndex);
  	obj.style.display = "block";
  }
  function CloseDiv(v) {
  	var obj = null;  
  	obj = document.getElementById("div" + v);
  	obj.style.display = "none";
  }

  function SwapImg(objId, img) {
    document.getElementById(objId).src=img;
  }

  //2012-01-12增加
  function addBookmark() {
    try {
      title = "数飞OA";
      url = "http://<%=sServer_SESSION%>:<%=sPort_SESSION%>/<%=sContext_SESSION%>";
      window.external.AddFavorite(url, title);
    } catch(e) {
	alert("sorry,您电脑的浏览器不支持!");
    }
  }

  //可以成功
  function toDesktop(){
    try { 
      sName = "访问数飞OA";
      sUrl = "http://<%=sServer_SESSION%>:<%=sPort_SESSION%>/<%=sContext_SESSION%>";
      var WshShell = new ActiveXObject("WScript.Shell"); 
      var oUrlLink = WshShell.CreateShortcut(WshShell.SpecialFolders("Desktop") + "\\" + sName + ".url"); 
      oUrlLink.TargetPath = sUrl; 
      oUrlLink.Save(); 
      alert("创建快捷方式成功");
    } catch(e) {   
	alert(e + "当前IE安全级别不允许操作！");   
    }
  } 
 
  //下载登陆助手
  function downloadSwc() {
    if (confirm("登陆助手可最小化到托盘，可开机自动访问OA，确定要下载？")) {
	return true;
    }
    return false;
  }

</script>


</script>
</head>


<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<table width="100%"  border="0" cellpadding="0" cellspacing="0" align="center"  background="images/2011/destop/top_background.gif" >
  <tr >
    <td width="6%" height="85">&nbsp;</td>
    <% if (!net.sz600.check.SzHasp.getInstance().hasDog()) {%>
    <td align="left"><a href="http://www.soarwell.com/" target="_blank" onfocus="javascript:blur();"><img src="images/2011/destop/logo.gif" id="logo" width="436" height="57" border="0" OnMouseOver="javascript:SwapImg('logo','images/2011/destop/logo_02.gif');" OnMouseOut="javascript:SwapImg('logo','images/2011/destop/logo.gif');"></a><% out.println(SzProperties.printSystemValidInfo()); %></td>
    <% } else {%>
    <td align="left"><a href="http://www.soarwell.com/" target="_blank" onfocus="javascript:blur();"><img src="images/customer/logo.gif" id="logo" width="436" height="57" border="0" OnMouseOver="javascript:SwapImg('logo','images/customer/logo_02.gif');" OnMouseOut="javascript:SwapImg('logo','images/customer/logo.gif');"></a><% out.println(SzProperties.printSystemValidInfo()); %></td>
    <% } %>

    <td width="4%" title="数飞OA产品介绍"><br></b><p><a href="javascript:OpenDiv(0);" onfocus="javascript:blur();"><img src="images/2011/destop/web_button.gif" width="44" height="43" border="0" id="product" OnMouseOver="javascript:SwapImg('product','images/2011/destop/web_button2.gif');" OnMouseOut="javascript:SwapImg('product','images/2011/destop/web_button.gif');"></a></p><!---20120111 ting-->
    <td width="1"></td>

    <td width="4%" title="下载数飞尔登陆助手，可最小化到托盘，可开机自动访问OA"><br><p><a href="http://www.saas88.com/download/swc.rar" target="_blank" OnClick="return downloadSwc();" onfocus="javascript:blur();"><img src="images/2011/destop/Download_button.gif" width="44" height="43" border="0" id="custom" OnMouseOver="javascript:SwapImg('custom','images/2011/destop/Download_button2.gif');" OnMouseOut="javascript:SwapImg('custom','images/2011/destop/Download_button.gif');"></a></p><!---20120111 ting-->
    <td width="1"></td>


  </tr>
</table>
<table width="100%"  border="0" cellpadding="0" cellspacing="0" align="center"  >
<form name="formUpdate"  method="post">
  <input type="hidden" name="skinType" value="1">
  <input type="hidden" name="COMPANY" value="<%=COMPANY%>">
  <tr height="442" valign="middle" >
    <td height="442" width="648" colspan="7"  background="images/2011/destop/denglvbeijingse_jianbian.gif">
    <img src="images/2011/destop/datu_fangzi.jpg" width="648" height="442"></td>

  </tr>
  <tr bgcolor="#004a75" height="28">
    <td width="20%" colspan="2">&nbsp;</td>
    <td valign="top" colspan="4" align="right"><span class="font1">用户名：</span>  
      <input type="text" name="txtLoginName" value="<%=loginName %>" class="txtClass1" OnMouseOver="javascript:this.select();">
      <span class="font1">密码：</span>
	   <input type="password" name="txtLoginPassword"  value=""  class="txtClass1"  OnMouseOver="javascript:this.select();">
      <% if (SzProperties.needVerificationCode(request.getRemoteHost())) { %>
      <span class="font1">验证码：</span>
	    <input type="text" name="txtVerificationCode"  value=""  class="txtClass1"  OnMouseOver="javascript:this.select();">
	    <img alt="看不清楚，换一张"  src="organize/verificationImage.jsp" id="imgVerificationCode" class="txtClass1-2" onclick="javascript:VerificationCode();" style="width:70px;height: 25px"/>
      <% } %>	   	   
	   <input name="btnSave"  type="button" id="btnSave" class="img" style="cursor:hand;"  width="58" height="24"border="0"    OnClick="javascript:FormSave(formUpdate, 'loginCheck.jsp');">
   	</td>
    <td width="3%">&nbsp;</td>
  </tr>
  <tr height="5">
    <td height="10">&nbsp;</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
  </tr>
  <tr height="5" bgcolor="#cee9ff">
    <td>&nbsp;</td>
    <td colspan="4"><p class="style1">

        <a href="http://www.soarwell.com/FAQ/oa_user_guide.shtml" target="_blank">安装使用常见问题及培训PPT</a>
	<a href="http://www.soarwell.com/download.shtml" target="_blank">最新试用版本下载</a>
	<a href="http://tieba.baidu.com/f?kw=%E6%95%B0%E9%A3%9EOA&ie=utf-8&fr=wwwt" target="_blank">到百度贴吧提问题</a>

	<a target="_blank" href="http://wpa.qq.com/msgrd?v=3&uin=294924968&site=qq&menu=yes"><img border="0" src="http://wpa.qq.com/pa?p=2:294924968:47" alt="数飞OA咨询，陈经理,电话0755-25580288" title="数飞OA咨询，陈经理,电话0755-25580288"></a>
	<br>
	<a href="http://www.soarwell.com" target="_blank">深圳市数飞尔科技有限公司</a>
        联系电话：0755-25580288，25562782 咨询QQ：294924968 

        </p>    
    </td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
  </tr>
  </form>
</table>

<div style="position:absolute;left:200;top:0;margin-top:150px;margin-left:-250px;" id="divImg04"><!----20120110 ting---->
  <img src="images/2011/img_04.gif">
</div>

</div>
<div style="position:absolute;left:0;top:0;margin-top:100px;margin-left:200px;display:none;" id="div0">
      <table width="600"  border="0" cellpadding="0" cellspacing="0" >
        <tr>
          <td width="5"><img src="images/2011/home/homezhanshi/d01_01.gif"></td>
          <td width="98%" height="26" background="images/2011//home/homezhanshi/d01_02.gif"><span class="fonthome3">产品介绍</span></td>
          <td width="35" background="images/2011/home/homezhanshi/d01_02.gif" align="right">
          <a href="#" OnClick="javascript:CloseDiv(0);" >
          	<img src="images/2011/home/images/more_03.gif" width="29" height="12" border="0">
          </a>
          </td>
          <td width="5"><img src="images/2011/home/homezhanshi/d01_03.gif"></td>
        </tr>
        <tr bgcolor="#f4f4f4">
          <td background="images/2011/home/homezhanshi/d02_01.gif"></td>
          <td height="180" colspan="2"><div class="fonthome4"> 
<% if (!net.sz600.check.SzHasp.getInstance().hasDog()) {%>

<b>版 本 名：数飞OA 表单引擎试用系统</b><br>
<b>版 本 号：</b>V6.2.0<br>
<b>版本性质：</b>试用版，试用期限60天<br>
<b>开 发 商：</b><font class="fonthome3">深圳市数飞尔科技有限公司</font><br>
<b>公司网站：</b><a href="http://www.soarwell.com" target="_blank">www.soarwell.com</a> <a href="http://www.soarwell.com" target="_blank">www.saas88.com</a><br>
<b>功能说明：</b>数飞表单引擎系统核心功能为表单自定义，辅助功能包含流程自定义、即时消息、公告管理、归档文件、修改密码、签章管理、工作代理、系统设置等。实现不编码就能完成软件系统的开发。操作人员不需要懂得软件编码，只需要花几分钟时间，就能成为专业软件制作者。<br>
&nbsp;&nbsp;&nbsp;&nbsp;最新版增加自动编号、自动传阅、数据回写、修改按纽、人员选择、到期提醒、详情关联、JS函数等功能设置。包含公文、人事、用品、快递、车辆、客户、会议、常用行政管理等表单制作的功能，数飞尔科技陆续将推出更多表单制作的功能，用户下载后导入系统即可使用。<br>
&nbsp;&nbsp;&nbsp;&nbsp;<a href="http://www.soarwell.com/download.shtml" target="_blank">数飞官方下载地址 http://www.soarwell.com/download.shtml</a><br>
<b>公司介绍：</b>数飞尔（SOARWELL）公司总部位于深圳市中心罗湖区，双软认证企业。本公司拥有众多来自一流企业的管理专家和系统开发精英，在协同办公系统、表单引擎系统、大型电子商务网站、管理软件的快速开发等领域有独到的成就。<br>          

<% } else { %>

<b>版 本 名：数飞OA 表单引擎正式版</b><br>
<b>版 本 号：</b><%=net.sz600.check.SzHasp.getInstance().getVersion()%><br>
<b>版本性质：</b><%=net.sz600.check.SzHasp.getInstance().getProductLimitInfo()%><br>
<b>开 发 商：</b><font class="fonthome3">深圳市数飞尔科技有限公司</font><br>
<b>公司网站：</b><a href="http://www.soarwell.com" target="_blank">www.soarwell.com</a> <a href="http://www.soarwell.com" target="_blank">www.saas88.com</a><br>
<b>功能说明：</b>数飞表单引擎系统核心功能为表单自定义，辅助功能包含流程自定义、即时消息、公告管理、归档文件、修改密码、签章管理、工作代理、系统设置等。实现不编码就能完成软件系统的开发。操作人员不需要懂得软件编码，只需要花几分钟时间，就能成为专业软件制作者。<br>
<a href="http://www.soarwell.com/download.shtml" target="_blank">数飞官方下载地址</a><br>
<b>公司介绍：</b>数飞尔（SOARWELL）公司总部位于深圳市中心罗湖区，双软认证企业。本公司拥有众多来自一流企业的管理专家和系统开发精英，在协同办公系统、表单引擎系统、大型电子商务网站、管理软件的快速开发等领域有独到的成就。<br>          

<% } %>   
          </div></td>
          <td background="images/2011/home/homezhanshi/d02_02.gif"></td>
        </tr>
        <tr >
          <td width="5"><img src="images/2011/home/homezhanshi/d03_01.gif"></td>
          <td height="5" colspan="2" background="images/2011/home/homezhanshi/d03_02.gif"></td>
          <td width="5"><img src="images/2011/home/homezhanshi/d03_03.gif"></td>
        </tr>
      </table>  		
</div>


</body>
</html>
<script language="javascript">
  //2013-06-07增加
  function VerificationCode() {
    var oVerificationCode = document.getElementById("imgVerificationCode");
    if (oVerificationCode != null) {
      //oVerificationCode.src= "organize/verificationImage.jsp";
      oVerificationCode.setAttribute("src","organize/verificationImage.jsp?"+ Math.random());
    }
  }
  
  function SelectSkinType(vType) {
  	if (vType == "1") {
	  document.location.href="index.jsp?COMPANY=<%=COMPANY%>";	
  	} else if (vType == "2") {
	  document.location.href="index2.jsp?COMPANY=<%=COMPANY%>"; 	
  	} else if (vType == "3") {
      document.location.href="3index.jsp?COMPANY=<%=COMPANY%>";
  	}
  }
  
  function FormSave(formName, url) {
    //检查是否可以保存
    if (formName.txtLoginName.value == "") {
      formName.txtLoginName.focus();
      alert("登陆名称不能为空");
      return false;
    }
    //提交
    formName.action = url;
    formName.submit();
  }

  function FormReset() {
    formUpdate.txtLoginName.value = "";
    formUpdate.txtLoginPassword.value = "";
    formUpdate.txtLoginName.focus();
  }

  function keyDown(e) {
    //修改2011-11-03：支持safari,ff
    var et = e || window.event;
    if (et.keyCode) {
	if (et.keyCode == 13) {
     		 FormSave(formUpdate, 'loginCheck.jsp');
	}
    } else  if (et.which  == 13) {
      		//回车就是提交，调用保存
      		//document.formUpdate.btnSave.click();
      		
     		 FormSave(formUpdate, 'loginCheck.jsp');
    }
  }
  document.onkeydown = keyDown;
  //如果已经有了用户名，则光标在密码处。否则在用户处
  if (formUpdate.txtLoginName.value == "") {
  	formUpdate.txtLoginName.focus();
  } else {
  	formUpdate.txtLoginPassword.focus();
  }
  
  var vScreenWidth = screen.width;


  var oDiv = document.getElementById("divImg04");
  if (oDiv != null) {
     if (vScreenWidth >1024) {
  	oDiv.style.left = vScreenWidth - 420;
     } else {
  	oDiv.style.left = vScreenWidth - 180;
     }
  }

  //var codeName=navigator.appCodeName;
  //alert(codeName);

</script>


